Bug 1305004 - python-pillow: Buffer overflow in PcdDecode.c
python-pillow: Buffer overflow in PcdDecode.c
Status: CLOSED DUPLICATE of bug 1304504
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160202,repor...
: Security
Depends On: 1305005
Blocks: 1305006
  Show dependency treegraph
 
Reported: 2016-02-05 05:01 EST by Adam Mariš
Modified: 2016-02-20 21:20 EST (History)
3 users (show)

See Also:
Fixed In Version: python-pillow 3.1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-08 04:09:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-05 05:01:50 EST
A buffer overflow vulnerability was found in PcdDecode.c, where PCD decoder overruns shuffle buffer by writing 4 bytes into 3 byte per pixel wide buffer, allowing to write 768 bytes off the end of the buffer. This overwrites objects in Python's stack, leading to a crash.

Upstream bug report:

https://github.com/python-pillow/Pillow/pull/1706

CVE request:

http://openwall.com/lists/oss-security/2016/02/02/5
Comment 1 Adam Mariš 2016-02-05 05:02:13 EST
Created python-pillow tracking bugs for this issue:

Affects: fedora-all [bug 1305005]
Comment 2 Stefan Cornelius 2016-02-08 04:09:20 EST

*** This bug has been marked as a duplicate of bug 1304504 ***
Comment 3 Fedora Update System 2016-02-09 15:53:23 EST
python-pillow-3.0.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-02-20 21:20:53 EST
python-pillow-2.8.2-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.